Currency Conversion
Get Exchange Rates
Returns the conversion rate and converted amount between two currencies.
GET
/
v1
/
currency-conversion
Get currency conversion rates
curl --request GET \
--url https://api-sandbox.y.uno/v1/currency-conversion \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/currency-conversion"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/currency-conversion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "USD",
"to": "BRL",
"rate": 5.12,
"amount": 100,
"converted_amount": 512,
"timestamp": "2026-03-01T14:00:00.000Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"amount must be greater than 0",
"country must not be blank"
]
}This endpoint may return 404 in sandbox. Currency conversion requires enablement. Contact Yuno support if you need this feature.
Authorizations
Your public API key from the Yuno Dashboard
Your private secret key (server-side only)
Query Parameters
Source ISO 4217 currency code
Example:
"USD"
Target ISO 4217 currency code
Example:
"BRL"
Amount to convert
Example:
100
Response
Currency conversion result
⌘I
Get currency conversion rates
